org.apache.storm.messaging.netty

## Class SaslStormClientHandler

- java.lang.Object
- - org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
  - - org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.storm.messaging.netty.SaslStormClientHandler

- All Implemented Interfaces:
    org.apache.storm.shade.io.netty.channel.ChannelHandler, org.apache.storm.shade.io.netty.channel.ChannelInboundHandler

      public class SaslStormClientHandler
      extends org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

      `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslStormClientHandler(ISaslClient client)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `channelActive(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)`
    `void` | `channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Object message)`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

      `channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### SaslStormClientHandler

          public SaslStormClientHandler(ISaslClient client)
                                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### channelActive

          public void channelActive(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx)

      Specified by:
        `channelActive` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelActive` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`

    - #### channelRead

          public void channelRead(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx,
                                  Object message)
                           throws Exception

      Specified by:
        `channelRead` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
      Overrides:
        `channelRead` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.